<?php
/**
 * @package		Joomla.Site
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
$app = JFactory::getApplication();
require_once dirname(__FILE__).DS.'core/avatar.php';
Avatar::loadFrameWork();
$template = Avatar::getTemplate($this);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>
	<?php echo $template->addHead(); ?>
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/st_green/css/offline.css" type="text/css" />
</head>
<body>
    <jdoc:include type="message" />
	<div id="frame" class="outline">
		<div class="image">
			<?php if ($app->getCfg('offline_image')) : ?>
			<img src="<?php echo $app->getCfg('offline_image'); ?>" alt="<?php echo htmlspecialchars($app->getCfg('sitename')); ?>" />
			<?php else: ?>
			<img src="<?php echo $this->baseurl ?>/templates/st_green/images/st_theme/icons/maintenance.png" alt="<?php echo htmlspecialchars($app->getCfg('sitename')); ?>" />
			<?php endif;?>
		</div>
		<div class="message">
			<?php if ($app->getCfg('display_offline_message', 1) == 1 && str_replace(' ', '', $app->getCfg('offline_message')) != ''): ?>
				<p>
					<?php echo $app->getCfg('offline_message'); ?>
				</p>
			<?php elseif ($app->getCfg('display_offline_message', 1) == 2 && str_replace(' ', '', JText::_('JOFFLINE_MESSAGE')) != ''): ?>
				<p>
					<?php echo JText::_('JOFFLINE_MESSAGE'); ?>
				</p>
			<?php  endif; ?>
		</div>
		<form action="<?php echo JRoute::_('index.php', true); ?>" method="post" id="form-login">
			<p id="form-login-username">
				<input name="username" id="username" type="text" class="inputbox" alt="<?php echo JText::_('JGLOBAL_USERNAME') ?>" value="<?php echo JText::_('JGLOBAL_USERNAME') ?>" size="18" />
				<input type="password" name="password" class="inputbox" size="18" alt="<?php echo JText::_('JGLOBAL_PASSWORD') ?>" value="<?php echo JText::_('JGLOBAL_PASSWORD') ?>" id="passwd" />
				<input type="submit" name="Submit" class="button" value="<?php echo JText::_('JLOGIN') ?>" />
			</p>
			<p id="form-login-remember">
				<label for="remember"><?php echo JText::_('JGLOBAL_REMEMBER_ME') ?></label>
				<input type="checkbox" name="remember" class="inputbox" value="yes" alt="<?php echo JText::_('JGLOBAL_REMEMBER_ME') ?>" id="remember" />
			</p>
			<input type="hidden" name="option" value="com_users" />
			<input type="hidden" name="task" value="user.login" />
			<input type="hidden" name="return" value="<?php echo base64_encode(JURI::base()) ?>" />
			<?php echo JHtml::_('form.token'); ?>
		</form>
	</div>
</body>
</html>
